Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::ByteBlockAllocator Class Reference

`#include <DocumentsWriter.h>`

Inheritance diagram for Lucene::ByteBlockAllocator:

## Public Member Functions

| ByteBlockAllocator (const DocumentsWriterPtr &docWriter, int32_t blockSize)
virtual | ~ByteBlockAllocator ()
virtual String | getClassName ()
boost::shared_ptr< ByteBlockAllocator > | shared_from_this ()
virtual ByteArray | getByteBlock (bool trackAllocations)
| Allocate another byte[] from the shared pool. More...
virtual void | recycleByteBlocks (Collection< ByteArray > blocks, int32_t start, int32_t end)
| Return byte[]'s to the pool. More...
virtual void | recycleByteBlocks (Collection< ByteArray > blocks)
Public Member Functions inherited from Lucene::ByteBlockPoolAllocatorBase
virtual | ~ByteBlockPoolAllocatorBase ()
boost::shared_ptr< ByteBlockPoolAllocatorBase > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::ByteBlockPoolAllocatorBase
static String | _getClassName ()

## Data Fields

int32_t | blockSize
Collection< ByteArray > | freeByteBlocks

## Protected Attributes

DocumentsWriterWeakPtr | _docWriter
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

Lucene::ByteBlockAllocator::ByteBlockAllocator | ( | const DocumentsWriterPtr & | docWriter,
|  | int32_t | blockSize
| ) |  |

virtual Lucene::ByteBlockAllocator::~ByteBlockAllocator | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::ByteBlockAllocator::_getClassName | ( |  | ) |

inline static

virtual ByteArray Lucene::ByteBlockAllocator::getByteBlock | ( | bool | trackAllocations | ) |

virtual

Allocate another byte[] from the shared pool.

Implements Lucene::ByteBlockPoolAllocatorBase.

virtual String Lucene::ByteBlockAllocator::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::ByteBlockPoolAllocatorBase.

virtual void Lucene::ByteBlockAllocator::recycleByteBlocks | ( | Collection< ByteArray > | blocks,
|  | int32_t | start,
|  | int32_t | end
| ) |  |

virtual

Return byte[]'s to the pool.

Implements Lucene::ByteBlockPoolAllocatorBase.

virtual void Lucene::ByteBlockAllocator::recycleByteBlocks | ( | Collection< ByteArray > | blocks | ) |

virtual

Implements Lucene::ByteBlockPoolAllocatorBase.

boost::shared_ptr< ByteBlockAllocator > Lucene::ByteBlockAllocator::shared_from_this | ( |  | ) |

inline

## Field Documentation

DocumentsWriterWeakPtr Lucene::ByteBlockAllocator::_docWriter

protected

int32_t Lucene::ByteBlockAllocator::blockSize

Collection<ByteArray> Lucene::ByteBlockAllocator::freeByteBlocks

The documentation for this class was generated from the following file:

- DocumentsWriter.h

clucene.sourceforge.net